From aaa7cde91e4b086164f0c7f46569a34bfbb4e479 Mon Sep 17 00:00:00 2001
From: hasufell <hasufell@gentoo.org>
Date: Sun, 3 May 2015 15:05:43 +0200
Subject: [PATCH] Respect flags and compiler

---
 Makefile         |  5 ++---
 rltiles/Makefile | 22 +++++++++++-----------
 2 files changed, 13 insertions(+), 14 deletions(-)

diff --git a/Makefile b/Makefile
index 8b9efd9..0f37edf 100644
--- a/Makefile
+++ b/Makefile
@@ -103,7 +103,7 @@ include Makefile.obj
 #
 
 
-CFOTHERS := -pipe $(EXTERNAL_FLAGS)
+CFOTHERS := $(EXTERNAL_FLAGS)
 CFWARN := 
 CFWARN_L := -Wall -Wformat-security -Wundef
 
@@ -809,7 +809,6 @@ ifdef FULLDEBUG
 DEFINES += -DFULLDEBUG
 endif
 ifdef DEBUG
-CFOTHERS := -ggdb $(CFOTHERS)
 DEFINES += -DDEBUG
 endif
 ifndef NOWIZARD
@@ -1627,7 +1626,7 @@ ifdef ANDROID
         # prove that tiles were generated properly
 	grep tile_info rltiles/*.cc| head
 else
-	+$(MAKE) -C $(RLTILES) all ARCH=$(ARCH) TILES=$(TILES)$(WEBTILES)
+	$(MAKE) -C $(RLTILES) all V=$(V) ARCH=$(ARCH) DEBUG=$(DEBUG) TILES=$(TILES)$(WEBTILES)
 endif
 
 $(TILEDEFSRCS) $(TILEDEFHDRS) $(ORIGTILEFILES): build-rltiles
diff --git a/rltiles/Makefile b/rltiles/Makefile
index ae11f43..464424f 100644
--- a/rltiles/Makefile
+++ b/rltiles/Makefile
@@ -1,7 +1,7 @@
 uname_S := $(shell uname -s)
 
 ifneq (,$(findstring MINGW,$(uname_S)))
-LDFLAGS += -lmingw32
+LIBS += -lmingw32
 endif
 
 # Note: since generation of tiles is done on the host, we don't care about
@@ -10,7 +10,7 @@ endif
 # Also, cross-compilation with no system libraries for host rather than target
 # is not supported.  If host=target, contribs are enough.
 
-CFLAGS := -O2 -g -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
+CXXFLAGS := -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
 
 ifdef ANDROID
   CXXFLAGS :=
@@ -27,24 +27,24 @@ ifdef TILES
     PNG_LIB := ../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a
   endif
 
-  CFLAGS += $(PNG_INCLUDE)
-  LDFLAGS += $(PNG_LIB)
+  CXXFLAGS += $(PNG_INCLUDE)
+  LIBS += $(PNG_LIB)
 
-  CFLAGS += -DUSE_TILE
+  CXXFLAGS += -DUSE_TILE
 endif
 
 ifdef DEBUG
-CFLAGS += -O0 -DDEBUG -ggdb
+CXXFLAGS += -DDEBUG
 endif
 
 ifneq (,$(findstring MINGW,$(uname_S)))
-LDFLAGS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid 
+LIBS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid 
 endif
 ifeq ($(uname_S),Darwin)
 LDFLAGS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL
 endif
 ifeq ($(uname_S),Linux)
-LDFLAGS += -ldl -lpthread
+LIBS += -ldl -lpthread
 endif
 
 # Attempt to use a full compiler name, to make
@@ -129,10 +129,10 @@ clean:
 
 distclean: clean
 
-%.o: %.cc .cflags
-	$(QUIET_HOSTCXX)$(HOSTCXX) $(CFLAGS) -MMD -c $< -o $@
+%.o: %.cc
+	$(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) -c $< -o $@
 
 $(TILEGEN): $(OBJECTS)
-	$(QUIET_HOSTLINK)$(HOSTCXX) $(OBJECTS) -o $@ $(LDFLAGS)
+	$(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) $(OBJECTS) -o $@ $(LDFLAGS) $(LIBS)
 
 .PHONY: all clean distclean
-- 
2.3.5

